Bug 1122032 - Add node and HR auth tests
Summary: Add node and HR auth tests
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan, Server
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: 6.3.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 11:58 UTC by Vojtech Juranek
Modified: 2015-01-26 14:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 14:03:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Vojtech Juranek 2014-07-22 11:58:24 UTC
Add 
* node authentication tests (MD5 and GSSAPI)
* node authorization tests
* HR PLAIN authentication against LDAP

Comment 3 Vojtech Juranek 2014-08-22 10:08:22 UTC
fails with

java.lang.Exception: Unexpected exception, expected<java.security.PrivilegedActionException> but was<javax.security.auth.login.LoginException>
        at sun.security.jgss.krb5.Krb5Context.initSecContext(Krb5Context.java:710)

There's one forgotten commit to be back ported form upstream

Comment 4 Vojtech Juranek 2014-08-22 11:09:48 UTC
https://github.com/infinispan/jdg/pull/206

Comment 5 Vojtech Juranek 2014-09-11 09:35:48 UTC
PR containes:

* node authentication tests (MD5 and GSSAPI) in library mode:
  MD5 and GSSAPI node authorization in library mode is covered by NodeAuthentication* test in [1]

* node authorization tests:
  NodeAuthorizationMD5FailIT in [1] covers node authorization test in library mode

* HR PLAIN authentication against LDAP in server mode is covered by [2].

[1] https://github.com/infinispan/jdg/tree/jdg-6.3.x/integrationtests/security-it/src/test/java/org/infinispan/test/integration/security/embedded

[2] https://github.com/infinispan/jdg/blob/jdg-6.3.x/server/integration/testsuite/src/test/java/org/infinispan/server/test/client/hotrod/security/HotRodPlainAuthLdapIT.java


Note You need to log in before you can comment on or make changes to this bug.